#pragma once

#include "Enemy.h"
#include "GameStateManager.h"
#include "Keyboard.h"
#include "OutsideEnemy.h"
#include "Player.h"
#include <random>

class GameData
{
public:
	GameData( Keyboard &Kbd );
	void NewEnemy();

public:
	Player player;
	Board brd;
	std::vector<Enemy> enemy;
	int enemyCount = 0;
	OutsideEnemy outEnemy;
	Keyboard &m_keyboard;
	GameStateManager m_stateManager;	
	std::mt19937 rng;

};

