#include "GameOver.h"
#include "Keyboard.h"
#include "ChiliWin.h"
#include "PlayingState.h"
#include "Keyboard.h"
#include "GameData.h"
#include "Spritecodex.h"

void GameOver::Update( float DeltaTime )
{
	if( m_data.m_keyboard.KeyIsPressed( VK_RETURN ) )
	{
		m_data.player.Reset();
		m_data.brd.Reset();
		m_data.enemy.clear();
		m_data.NewEnemy();
		m_data.outEnemy.Reset();
		m_data.enemyCount = 1;
		m_data.m_keyboard.FlushKey();
		m_data.m_stateManager.Transition(
			std::make_unique<PlayingState>( m_data ) );
	}
}

void GameOver::ComposeFrame( Graphics & Gfx )
{
	m_data.player.Draw( Gfx, m_data.brd.GetTileSize(), m_data.brd.grid );
	m_data.outEnemy.Draw( Gfx );
	Spritecodex::DrawGameOver( 200, 250, Gfx );
}
