#pragma once

#include <memory>
#include "GameState.h"

class GameStateManager
{
public:
	GameStateManager( std::unique_ptr<GameState> &&pState );

	GameState *GetState();
	void Transition( std::unique_ptr<GameState> &&pNextState );
private:
	std::unique_ptr<GameState> m_pState;
};

