#pragma once

#include "Graphics.h"
#include "Board.h"
#include <array>

class OutsideEnemy
{
public:
	void Move( Board &Brd, float DeltaTime );
	void Draw(Graphics& gfx) const;
	float GetX() const;
	float GetY() const;
	void Reset();

private:
	float y = 5.0f;
	float x = 450.0f;
	float vy = 240.0f;
	float vx = 240.0f;
	static constexpr int padding = 3;
	static constexpr int size = 10;
	static constexpr auto edgeColor = Colors::Black;
	static constexpr auto bodyColor = Colors::MakeRGB( 0, 170, 169 );
};

