#pragma once

#include "GameState.h"
#include "Sound.h"
#include <random>

class PlayingState : public GameState
{
public:
	PlayingState( GameData &Data );

	void Update( float DeltaTime )override;
	void ComposeFrame( Graphics &Gfx )override;
private:
	bool Collides( float ts )const;
private:
	static constexpr float delay = 0.05f;
	Sound clearSound = L"clear.wav";
	Sound failSound = L"fail.wav";
	TimerEvent playerUpdate;

};

