#pragma once

#include <functional>

class TimerEvent
{
public:
	TimerEvent( float Delay)
		:
		delay( Delay )
	{}
	template<class Func>
	void Update( float DeltaTime, Func &&Callback )
	{
		counter += DeltaTime;

		if( counter >= delay )
		{
			counter = 0.f;
			Callback();
		}
	}
private:
	float delay = 0.f, counter = 0.f;

};

