#pragma once

#include "TimerEvent.h"
#include "Graphics.h"

class GameData;

class GameState
{
public:
	GameState( GameData &Data );
	virtual~GameState() = default;

	virtual void Update( float DeltaTime ) = 0;
	virtual void ComposeFrame( Graphics &Gfx ) = 0;
protected:
	GameData &m_data;

};

